
public class Class50 {

   public static Class50 aClass50_504 = new Class50(0, 104);
   static Class50 aClass50_505 = new Class50(1, 120);
   static Class50 aClass50_506 = new Class50(2, 136);
   static Class50 aClass50_507 = new Class50(3, 168);
   static Class50 aClass50_508 = new Class50(4, 72);
   public int anInt509;
   public int anInt510;
   public static Class253 aClass253_511;
   public static int anInt512;


   Class50(int var1, int var2) {
      this.anInt509 = var1 * 1773293831;
      this.anInt510 = -2131470493 * var2;
   }

   public static Class50 method1196(int var0) {
      Class50[] var1 = Class118_Sub8.method13189(-1258972594);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class50 var3 = var1[var2];
         if(-969519945 * var3.anInt509 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static Class50 method1197(int var0) {
      Class50[] var1 = Class118_Sub8.method13189(-1258972594);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class50 var3 = var1[var2];
         if(-969519945 * var3.anInt509 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static Class50 method1198(int var0) {
      Class50[] var1 = Class118_Sub8.method13189(-1258972594);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class50 var3 = var1[var2];
         if(-969519945 * var3.anInt509 == var0) {
            return var3;
         }
      }

      return null;
   }

   static Class50[] method1199() {
      return new Class50[]{aClass50_505, aClass50_504, aClass50_506, aClass50_508, aClass50_507};
   }

   public static Class50 method1200(int var0) {
      Class50[] var1 = Class118_Sub8.method13189(-1258972594);

      for(int var2 = 0; var2 < var1.length; ++var2) {
         Class50 var3 = var1[var2];
         if(-969519945 * var3.anInt509 == var0) {
            return var3;
         }
      }

      return null;
   }

   public static int method1201(int var0, int var1, int var2, Class550 var3, Class272 var4, boolean var5, int[] var6, int[] var7, byte var8) {
      int var10;
      for(int var9 = 0; var9 < 128; ++var9) {
         for(var10 = 0; var10 < 128; ++var10) {
            Class276.anIntArrayArray3203[var9][var10] = 0;
            Class276.anIntArrayArray3207[var9][var10] = 99999999;
         }
      }

      boolean var28;
      if(1 == var2) {
         var28 = Class310.method5537(var0, var1, var3, var4, (byte)2);
      } else if(2 == var2) {
         var28 = Class310.method5538(var0, var1, var3, var4, (byte)8);
      } else {
         var28 = Class264.method4732(var0, var1, var2, var3, var4, 1781408905);
      }

      var10 = var0 - 64;
      int var11 = var1 - 64;
      int var12 = Class276.anInt3209 * 710252803;
      int var13 = 1776952663 * Class276.anInt3206;
      int var14;
      int var15;
      int var17;
      if(!var28) {
         if(!var5) {
            return -1;
         }

         var14 = Integer.MAX_VALUE;
         var15 = Integer.MAX_VALUE;
         byte var16 = 10;
         var17 = -352092931 * var3.anInt7426;
         int var18 = var3.anInt7424 * -373991895;
         int var19 = var3.anInt7425 * 464905811;
         int var20 = var3.anInt7423 * -596980541;

         for(int var21 = var17 - var16; var21 <= var17 + var16; ++var21) {
            for(int var22 = var18 - var16; var22 <= var18 + var16; ++var22) {
               int var23 = var21 - var10;
               int var24 = var22 - var11;
               if(var23 >= 0 && var24 >= 0 && var23 < 128 && var24 < 128 && Class276.anIntArrayArray3207[var23][var24] < 100) {
                  int var25 = 0;
                  if(var21 < var17) {
                     var25 = var17 - var21;
                  } else if(var21 > var19 + var17 - 1) {
                     var25 = var21 - (var19 + var17 - 1);
                  }

                  int var26 = 0;
                  if(var22 < var18) {
                     var26 = var18 - var22;
                  } else if(var22 > var18 + var20 - 1) {
                     var26 = var22 - (var20 + var18 - 1);
                  }

                  int var27 = var26 * var26 + var25 * var25;
                  if(var27 < var14 || var14 == var27 && Class276.anIntArrayArray3207[var23][var24] < var15) {
                     var14 = var27;
                     var15 = Class276.anIntArrayArray3207[var23][var24];
                     var12 = var21;
                     var13 = var22;
                  }
               }
            }
         }

         if(Integer.MAX_VALUE == var14) {
            return -1;
         }
      }

      if(var0 == var12 && var1 == var13) {
         return 0;
      } else {
         byte var29 = 0;
         Class276.anIntArray3208[var29] = var12;
         var14 = var29 + 1;
         Class276.anIntArray3204[var29] = var13;

         int var30;
         for(var15 = var30 = Class276.anIntArrayArray3203[var12 - var10][var13 - var11]; var0 != var12 || var13 != var1; var15 = Class276.anIntArrayArray3203[var12 - var10][var13 - var11]) {
            if(var15 != var30) {
               var30 = var15;
               Class276.anIntArray3208[var14] = var12;
               Class276.anIntArray3204[var14++] = var13;
            }

            if((var15 & 2) != 0) {
               ++var12;
            } else if((var15 & 8) != 0) {
               --var12;
            }

            if((var15 & 1) != 0) {
               ++var13;
            } else if((var15 & 4) != 0) {
               --var13;
            }
         }

         var17 = 0;

         while(var14-- > 0) {
            var6[var17] = Class276.anIntArray3208[var14];
            var7[var17++] = Class276.anIntArray3204[var14];
            if(var17 >= var6.length) {
               break;
            }
         }

         return var17;
      }
   }

   static final void method1202(Class508 var0, int var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 818958679 * var0.aClass225_Sub19_6020.anInt8570;
   }

   public static void method1203(int var0) {
      Class427.aClass456_5372 = new Class456();
   }

   public static int method1204(int var0, int var1, int var2) {
      int var3;
      if(var1 > var0) {
         var3 = var0;
         var0 = var1;
         var1 = var3;
      }

      while(0 != var1) {
         var3 = var0 % var1;
         var0 = var1;
         var1 = var3;
      }

      return var0;
   }

   static final void method1205(Class508 var0, int var1) {
      int var2 = 1567592625 * Class102.anInt1008;
      int var3 = 1111684795 * Class72.anInt688;
      int var4 = -1;
      if(Class446.aBool5570) {
         Class444[] var5 = Class11.method714(-1015063365);

         for(int var6 = 0; var6 < var5.length; ++var6) {
            Class444 var7 = var5[var6];
            if(var2 == var7.anInt5489 * -179236885 && var3 == 619380621 * var7.anInt5487) {
               var4 = var6;
               break;
            }
         }
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var4;
   }

   static final void method1206(Class508 var0, int var1) throws Exception_Sub4 {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      Class326 var4 = Class326.method5868((float)var2, (float)var2, (float)var2);
      if(-1.0F == var4.aFloat4036) {
         var4.aFloat4036 = Float.POSITIVE_INFINITY;
      }

      if(var4.aFloat4037 == -1.0F) {
         var4.aFloat4037 = Float.POSITIVE_INFINITY;
      }

      if(-1.0F == var4.aFloat4033) {
         var4.aFloat4033 = Float.POSITIVE_INFINITY;
      }

      Class336.aClass35_Sub1_4206.method892(var4, (byte)77);
      Class336.aClass35_Sub1_4206.method1007((float)var3 / 1000.0F, -139235889);
      var4.method5948();
   }

   static void method1207(Class545 var0, Class225_Sub11 var1, Class567 var2, int var3, int var4, int var5, int var6, Class179 var7, int var8) {
      int var9 = var4 - var6 / 2 - 5;
      int var10 = 2 + var5;
      if(0 != 1503895133 * var2.anInt7522) {
         var0.method11465(var9, var10, 10 + var6, var5 + var3 * var7.method3170() - var10 + 1, var2.anInt7522 * 1503895133, -1614580576);
      }

      if(-674939355 * var2.anInt7532 != 0) {
         var0.method11464(var9, var10, var6 + 10, var5 + var3 * var7.method3170() - var10 + 1, -674939355 * var2.anInt7532, (byte)-56);
      }

      int var11 = -2130627869 * var2.anInt7546;
      if(var1.aBool8530 && -339392535 * var2.anInt7517 != -1) {
         var11 = var2.anInt7517 * -339392535;
      }

      for(int var12 = 0; var12 < var3; ++var12) {
         String var13 = Class215_Sub1.aStringArray8347[var12];
         if(var12 < var3 - 1) {
            var13 = var13.substring(0, var13.length() - 4);
         }

         var7.method3177(var0, var13, var4, var5, var11, true);
         var5 += var7.method3170();
      }

   }

   static final void method1208(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 907569971);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class276.method4888(var3, var4, var0, -2078460444);
   }
}
